All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.wizard2
Class FinishAction

    com.sas.swing.visuals.wizard2.FinishAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

    public class FinishAction

FinishAction handles a `Wizard`'s next events.

An `Action` object can be added to the `ButtonNavigationPanel` using the following version of the `ButtonNavigationPanel`'s add method: `public void addButton(Action a, Object constraint)`

Two key/value object properties have been defined for this class:

            Action.NAME = "Finish"
            ButtonNavigationPanel.ACTION_COMMAND = ButtonNavigationPanel.FINISH_COMMAND

See Also:
  `CancelAction`, `Next_FinishAction`, `HelpAction`, `BackAction`, Serialized Form

Field Summary
`protected Wizard` | `wizard` The `Wizard` object associated with this `Action`.

Constructor Summary
`FinishAction(Wizard wizard)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Invoked when an action occurs.

Field Detail

### wizard

    protected Wizard wizard

  The `Wizard` object associated with this `Action`.

Constructor Detail

### FinishAction

    public FinishAction(Wizard wizard)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Invoked when an action occurs.

  Calls the `ButtonNavigationPanel`'s `actionPerformed` method passing the `ActionEvent` directly through.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.